package com.foreverwin.mesnac.meapi.dto;

import com.foreverwin.mesnac.meapi.model.Sfc;

public class SfcDto extends Sfc {

    private String shopOrder;
    private String status;
    private String item;
    private String itemDescription;
    private String operation;
    private String operationDescription;
    private String prepositionOperation;
    private String resrce;
    private String workCenter;
    private String dispatchNo;
    private String abnormalNo;
    private String stepId;
    private String currentStepId;
    private String plannedStartDate;
    private String plannedCompDate;
    private String stepSequence;
    private String seq;

    //工作令号
    private String workOrder;
    private String employeeDescription;
    private String preWorkOrderResult;
    private String lastOperationStatus;


    public String getPreWorkOrderResult() {
        return preWorkOrderResult;
    }

    public void setPreWorkOrderResult(String preWorkOrderResult) {
        this.preWorkOrderResult = preWorkOrderResult;
    }

    public String getSeq() {
        return seq;
    }

    public void setSeq(String seq) {
        this.seq = seq;
    }

    public String getCurrentStepId() {
        return currentStepId;
    }

    public void setCurrentStepId(String currentStepId) {
        this.currentStepId = currentStepId;
    }

    public String getStepSequence() {
        return stepSequence;
    }

    public void setStepSequence(String stepSequence) {
        this.stepSequence = stepSequence;
    }

    public String getEmployeeDescription() {
        return employeeDescription;
    }

    public void setEmployeeDescription(String employeeDescription) {
        this.employeeDescription = employeeDescription;
    }

    public String getLastOperationStatus() {
        return lastOperationStatus;
    }

    public void setLastOperationStatus(String lastOperationStatus) {
        this.lastOperationStatus = lastOperationStatus;
    }

    public String getAbnormalNo() {
        return abnormalNo;
    }

    public void setAbnormalNo(String abnormalNo) {
        this.abnormalNo = abnormalNo;
    }

    public String getWorkOrder() {
        return workOrder;
    }

    public void setWorkOrder(String workOrder) {
        this.workOrder = workOrder;
    }

    public String getStepId() {
        return stepId;
    }

    public void setStepId(String stepId) {
        this.stepId = stepId;
    }

    public String getDispatchNo() {
        return dispatchNo;
    }

    public void setDispatchNo(String dispatchNo) {
        this.dispatchNo = dispatchNo;
    }

    public String getShopOrder() {
        return shopOrder;
    }

    public void setShopOrder(String shopOrder) {
        this.shopOrder = shopOrder;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getOperationDescription() {
        return operationDescription;
    }

    public void setOperationDescription(String operationDescription) {
        this.operationDescription = operationDescription;
    }

    public String getPrepositionOperation() {
        return prepositionOperation;
    }

    public void setPrepositionOperation(String prepositionOperation) {
        this.prepositionOperation = prepositionOperation;
    }

    public String getResrce() {
        return resrce;
    }

    public void setResrce(String resrce) {
        this.resrce = resrce;
    }

    public String getWorkCenter() {
        return workCenter;
    }

    public void setWorkCenter(String workCenter) {
        this.workCenter = workCenter;
    }

    public String getPlannedStartDate() {
        return plannedStartDate;
    }

    public void setPlannedStartDate(String plannedStartDate) {
        this.plannedStartDate = plannedStartDate;
    }

    public String getPlannedCompDate() {
        return plannedCompDate;
    }

    public void setPlannedCompDate(String plannedCompDate) {
        this.plannedCompDate = plannedCompDate;
    }

}
